/*
 * @Author: WuXiangNan
 * @Date: 2021-02-22 09:06:08
 * @LastEditTime: 2021-02-22 09:54:51
 * @LastEditors: WuXiangNan
 * @Description: 考勤接口
 */
import '../models/response_model/clock_status/clock_status_data_model.dart';
import '../models/response_model/attendance_rule/rule_data_model.dart';
import '../models/response_model/attendance_rule/schedule_calendar_model.dart';
import '../models/response_model/calendar/calendar_model.dart';
import 'package:app_package/app_package.dart';

abstract class AttendanceService {
  //考勤打卡
  Future<bool?> postAttendanceClock(data);
  //考勤打卡状态
  Future<ResModel<ClockStatusDataModel>> postClockStatus(data);
  //考勤规则展示
  Future<ResModel<RuleModel>> getRuleShow(data);
  //考勤规则展示 排班制日历
  Future<ResModel<List<ScheduleCalendarModel>?>> getScheduleCalendar(data);
  //考勤日历
  Future<ResModel<List<CalendarModel>?>> getCalendar(data);
}
